Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class RepositoryUtil

    java.lang.Object
      org.pentaho.di.repository.RepositoryUtil

    public class RepositoryUtil

extends Object

Constructor Summary
`RepositoryUtil()`

Method Summary
`static org.pentaho.di.core.database.DatabaseMeta` | `loadDatabaseMeta(Repository rep, long id_database)` Load the Database Info
`static org.pentaho.di.core.row.ValueMetaAndData` | `loadValueMetaAndData(Repository rep, long id_value)`
`static void` | `saveDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta databaseMeta, Repository rep)` Saves the database information into a given repository.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryUtil

    public RepositoryUtil()

Method Detail

### loadDatabaseMeta

    public static org.pentaho.di.core.database.DatabaseMeta loadDatabaseMeta(Repository rep,
                                                                             long id_database)
                                                                      throws org.pentaho.di.core.exception.KettleException

  Load the Database Info

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveDatabaseMeta

    public static void saveDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta databaseMeta,
                                        Repository rep)
                                 throws org.pentaho.di.core.exception.KettleException

  Saves the database information into a given repository.

  Parameters:
    `databaseMeta` - The database metadata object to store
    `rep` - The repository to save the database into.
  Throws:
    `org.pentaho.di.core.exception.KettleException` - if an error occurs.

### loadValueMetaAndData

    public static org.pentaho.di.core.row.ValueMetaAndData loadValueMetaAndData(Repository rep,
                                                                                long id_value)
                                                                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD